## jcifs.util
Class Base64

    java.lang.Object
      jcifs.util.Base64

    public class Base64

extends java.lang.Object

Constructor Summary
`Base64()`

Method Summary
`static byte[]` `decode(java.lang.String string)` Decodes the supplied Base-64 encoded string.
`static java.lang.String` `encode(byte[] bytes)` Base-64 encodes the supplied block of data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Base64

    public Base64()

Method Detail

### encode

    public static java.lang.String encode(byte[] bytes)

  Base-64 encodes the supplied block of data. Line wrapping is not applied on output.

  Parameters:
    `bytes` - The block of data that is to be Base-64 encoded.
  Returns:
    A `String` containing the encoded data.

### decode

    public static byte[] decode(java.lang.String string)

  Decodes the supplied Base-64 encoded string.

  Parameters:
    `string` - The Base-64 encoded string that is to be decoded.
  Returns:
    A `byte[]` containing the decoded data block.